.wrapper {
  display: grid;
  position: relative;
  width: 100%;

  &__label {
    font-weight: 700;
    font-size: 18px;
  }

  &__selector_body {
    position: relative;
    cursor: pointer;
    display: grid;
    grid-template-columns: 1fr 24px;
    grid-column-gap: 4px;
    align-items: center;
    width: 100%;
    padding: 0;
    background-color: transparent;
    border: 2px solid transparent;
    border-bottom-color: var(--font-primary-color);
    transition: border-color 0.25s ease-in-out;

    @media (hover: hover) and (pointer: fine) {
      &:hover {
        border-bottom-color: var(--input-border-color);
      }
    }

    &.active {
      border-bottom-color: var(--input-border-color);
    }
  }

  &__selector_input {
    position: relative;
    outline: none;
    width: 100%;
    max-width: 100%;
    padding: 10px 0;
    background-color: transparent;
    border: none;
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    color: inherit;

    &::placeholder {
      opacity: 1;
      color: inherit;
    }

    &:-webkit-autofill {
      -webkit-text-fill-color: var(--font-primary-color);
      background-color: transparent !important;
      transition: background-color 5000s ease-in-out 0s, border-bottom-color var(--transition);
    }

    &:-webkit-autofill:focus {
      -webkit-text-fill-color: var(--font-primary-color);
      background-color: transparent !important;
      transition: background-color 5000s ease-in-out 0s, border-bottom-color var(--transition);
    }
  }

  &__selector_svg {
    display: flex;
    width: 24px;
    height: 24px;

    & svg {
      top: 50%;
      transform: rotate(-90deg);
      stroke: var(--font-primary-color);
      transition: transform 0.25s ease-in-out;

      &.active {
        transform: rotate(90deg);
      }
    }
  }

  &__popup_body {
    overflow: hidden;
    position: relative;
    display: flex;
    width: 100%;
    margin: 0 auto;
    padding: 0 5px;
    background-color: var(--body-bg-color-primary);
    box-shadow: 0 0 5px var(--input-border-color);
    z-index: 4;

    &:before {
      content: '';
      position: absolute;
      width: 100%;
      height: 9px;
      top: 0;
      left: 0;
      background-color: var(--body-bg-color-primary);
      z-index: 1;
    }

    &:after {
      content: '';
      position: absolute;
      width: 100%;
      height: 9px;
      bottom: 0;
      left: 0;
      background-color: var(--body-bg-color-primary);
      z-index: 1;
    }

    &.absolute {
      position: absolute;
      top: calc(100% + 5px);
      left: 0;
      transform: translateY(100%);
    }
  }

  &__popup {
    width: 100%;
    height: 100%;
    max-height: 246px;
    font-size: 16px;
    font-weight: 400;

    & ul {
      display: grid;
      padding: 0 5px;
      margin: 10px 0;
    }

    & li {
      cursor: pointer;
      pointer-events: auto;
      margin-top: 5px;
      padding: 5px;
      background-color: transparent;
      opacity: 1;
      transition: background-color 0.25s ease-in-out, opacity 0.25s ease-in-out,
        color 0.25s ease-in-out;

      @media (hover: hover) and (pointer: fine) {
        &:hover {
          background-color: var(--input-border-color);
        }
      }

      &:first-child {
        margin-top: 0;
      }

      &.disable {
        pointer-events: none;
        opacity: 0.5;
      }
    }

    &::-webkit-scrollbar {
      width: 8px;
    }

    &::-webkit-scrollbar-track {
      margin-top: 9px;
      margin-bottom: 9px;
      background: rgb(68, 68, 68);
    }

    &::-webkit-scrollbar-thumb {
      background-color: var(--scrollbar-thumb-bg-color);
      border: 2px solid rgb(68, 68, 68);
    }
  }
}

.error {
  overflow: hidden;
  position: relative;
  padding: 7px 0 0 8px;
  font-weight: 400;
  font-size: 1.4rem;
  color: var(--input-border-color);

  &:first-letter {
    text-transform: uppercase;
  }

  &:after {
    content: '';
    position: absolute;
    width: 5px;
    height: 5px;
    left: 0;
    top: 7px;
    background-color: var(--input-border-color);
    border-radius: 50%;
  }
}
